package com.datacloudsec.scan.cache;

import com.datacloudsec.scan.common.Constant;
import com.datacloudsec.utils.JsonUtil;
import com.datacloudsec.utils.SecretUtil;
import java.io.File;
import java.io.FileInputStream;
import java.util.HashMap;
import java.util.Map;
import org.apache.commons.io.FileUtils;
import org.apache.commons.io.IOUtils;

public class Theme {

   private Map config;
   private static long lastMdfTime;
   private static File confFile = new File(Constant.WORK_DIR, "resource/theme.json");
   private static Theme instance;


   public static synchronized Theme getInstance() throws Exception {
      if(instance == null) {
         instance = new Theme();
      }

      if(confFile.lastModified() != lastMdfTime) {
         Object b = null;

         byte[] b1;
         try {
            b1 = SecretUtil.decryptEncrypt("aes", FileUtils.readFileToByteArray(confFile), "anshuyun123SEF@#".getBytes());
         } catch (Exception var2) {
            b1 = IOUtils.toByteArray(new FileInputStream(confFile));
         }

         instance.config = (Map)JsonUtil.MAPPER_ESCAPE_HTML.readValue(b1, HashMap.class);
         lastMdfTime = confFile.lastModified();
      }

      return instance;
   }

   public static void main(String[] args) throws Exception {
      System.out.println(getInstance().getConfig());
   }

   public Map getConfig() {
      return this.config;
   }

   public static File getConfFile() {
      return confFile;
   }
}
